package cn.com.countrygarden.bi.main.model.performance.dto;

import cn.com.countrygarden.bi.main.model.performance.PerformanceRecord;

/**
 * 绩效分析考核记录实体
 */
public class PerformanceAnalysisRecordDto extends PerformanceRecord {


    //target
    private String atLeastTarget;   //保底值
    private String howlTarget;  //嚎叫值

    //statistic
    private float averageScore; //平均分
    private float actualAverageScore; //最终平均分
    //score
    private float score;    //二级指标为细项得分，一级为单项得分
    private float actualScore;    //加权得分
    private float complete;    //完成值
    private float yearlyScore;    //年度值
    private float quarterlyScore; //季度值
    private boolean isProfitReach;    //税前利润是否达标

    public PerformanceAnalysisRecordDto(){

    }

    public PerformanceAnalysisRecordDto(String hierachyId,long elementId,int year,int quarterCount){
        super(hierachyId,elementId,year,quarterCount);
    }

    public String getAtLeastTarget() {
        return atLeastTarget;
    }

    public void setAtLeastTarget(String atLeastTarget) {
        this.atLeastTarget = atLeastTarget;
    }

    public String getHowlTarget() {
        return howlTarget;
    }

    public void setHowlTarget(String howlTarget) {
        this.howlTarget = howlTarget;
    }

    public float getAverageScore() {
        return averageScore;
    }

    public void setAverageScore(float averageScore) {
        this.averageScore = averageScore;
    }

    public float getActualAverageScore() {
        return actualAverageScore;
    }

    public void setActualAverageScore(float actualAverageScore) {
        this.actualAverageScore = actualAverageScore;
    }

    public float getScore() {
        return score;
    }

    public void setScore(float score) {
        this.score = score;
    }

    public float getActualScore() {
        return actualScore;
    }

    public void setActualScore(float actualScore) {
        this.actualScore = actualScore;
    }

    public float getComplete() {
        return complete;
    }

    public void setComplete(float complete) {
        this.complete = complete;
    }

    public float getYearlyScore() {
        return yearlyScore;
    }

    public void setYearlyScore(float yearlyScore) {
        this.yearlyScore = yearlyScore;
    }

    public float getQuarterlyScore() {
        return quarterlyScore;
    }

    public void setQuarterlyScore(float quarterlyScore) {
        this.quarterlyScore = quarterlyScore;
    }

    public boolean isProfitReach() {
        return isProfitReach;
    }

    public void setProfitReach(boolean profitReach) {
        isProfitReach = profitReach;
    }
}
